#
#   PID plane drawing.
#   Copyright (C) 2010 2011 2013 2014 2023  Alessandro Accattini
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
##############################################################################
#
#
#
#
#
#
#
#


#set term png size 800,800 x000000 xffffff
set term png size 640,640 x000000 xffffff

load "fun.gnu"


set macros
pos_q1='real(pid_q1(Si,Sd)),imag(pid_q1(Si,Sd))'
pos_q2='real(pid_q2(Si,Sd)),imag(pid_q2(Si,Sd))'
pos_p1='real(pid_p1),imag(pid_p1)'
if(!exists("max_dB")) max_dB='20'
if(!exists("min_dB")) min_dB='-40'
if(!exists("Si")) Si='1.0000'
if(!exists("Sd")) Sd='0.2500'



set polar
set dummy t

#set xzeroaxis linetype 0 linewidth 1.000
#set yzeroaxis linetype 0 linewidth 1.000

set key off

set samples 600

set trange[0:2*pi]
#set rtics 0.25
#set tics 0.25

set format x "%.2f"
set xrange[-1.25:1.25]
set xtics axis 0.25

set format y "%.2f"
set yrange[-1.25:1.25]
set ytics axis 0.25

set grid polar pi/6
unset border
#unset xtics


#set title "chart title"

# posiziona gli zeri
set label 1  "q1" at @pos_q1 tc lt 2 point ps 3 offset 0.4,0.4
set label 2  "q2" at @pos_q2 tc lt 2 point ps 3 offset 0.4,0.4

# posiziona i poli
set label 7  "p1" at @pos_p1 tc lt 1 point ps 3 offset 0.4,0.4



#plot	1.0 notitle linetype 3 lw 1, \
#	Pol_dB(-60,0,10,Filter_1(zPol(t))) title "Filter 1" lw 3

plot	1.0 notitle lw 1 lt 3, \
	Pol_dB(min_dB,0,max_dB,Pid(Si,Sd,zPol(t))) title "PID" lw 3 lt 1




